Attribute VB_Name = "PrecisionID_DMatrix_DEMO"

' To provide the quickest implementation, consider
' licensing this product instead of using the demo.
' The licensed version is provided with a 30 day
' money back satisfaction guarantee.
' To order, please visit:
' https://www.precisionid.com/products/2d-barcode-fonts/data-matrix/
'
' Limitations of the Demo Version:
' The demo version of this product includes a fully
' functional 2D font and is designed only for the
' purpose of testing the font in various applications
' and point sizes. To generate dynamic symbols,
' a font encoder is required to format the data being
' encoded into the 2D symbol.
' Only static data can be provided for the encoders
' in the demo version, because providing a working
' encoder would reveal the complete source code,
' which is only available in the licensed version.


Private DEMO As Integer
Private DECount As Integer

Public Function PrecisionID_DMatrix_FontEncoder(DataToEncode As String) As String
    Dim NewLineCharacter As String
    NewLineCharacter = vbCrLf
    Dim FontEncoderText As String
    FontEncoderText = ""
    FontEncoderText = FontEncoderText & "ANAKCNAPHODOCNBLENBLCNFK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AJIDOGLGPJKPMFICNPJEHPBK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AEKMKELFHHKGIPAKMPFNDILK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "ANKBFODGOIHGDPJKAHDJIFBK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AFPGCKFEBHPPAAEBJLHBKGKK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AIGOCECKKIMAEMCKGECGEKMK"
    PrecisionID_DMatrix_FontEncoder = FontEncoderText
    
    If DEMO <> 3 Then
        DECount = 1
        MsgBox "The demo version of this product includes a fully functional 2D font and is designed only for the purpose of testing the font in various applications and point sizes. To generate dynamic symbols, a font encoder is required to format the data being encoded into the 2D symbol. Only static data can be provided for the encoders in the demo version, because providing a working encoder would reveal the complete source code, which is only available in the licensed version. To order, please visit: www.precisionid.com" & vbCrLf & vbCrLf & "This product is available as an instant download with a 30-day money-back guarantee if not completely satisfied.", , "DEMO Notice"
        DEMO = 3
    End If
    DECount = DECount + 1
    
End Function

Public Function PrecisionID_DMatrix_FontEncoder_GS1(DataToEncode As String) As String
    'GS1 Encoding (01)34567890123457(10)3456789(21)3456789012
    Dim NewLineCharacter As String
    NewLineCharacter = vbCrLf
    Dim FontEncoderText As String
    FontEncoderText = ""
    FontEncoderText = FontEncoderText & "ALGKFMDIDLBPBODODJDK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AHECLIPHAGAOGHEKLHFK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "ABMINEGDODPMJIIDMAPK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "APFNDPPNPKHHFDBBGNHK" & NewLineCharacter
    FontEncoderText = FontEncoderText & "AIGGIKEOOEMAMMMOIKEK"
    PrecisionID_DMatrix_FontEncoder_GS1 = FontEncoderText

    If DEMO <> 3 Then
        DECount = 1
        MsgBox "The demo version of this product includes a fully functional 2D font and is designed only for the purpose of testing the font in various applications and point sizes. To generate dynamic symbols, a font encoder is required to format the data being encoded into the 2D symbol. Only static data can be provided for the encoders in the demo version, because providing a working encoder would reveal the complete source code, which is only available in the licensed version. To order, please visit: www.precisionid.com" & vbCrLf & vbCrLf & "This product is available as an instant download with a 30-day money-back guarantee if not completely satisfied.", , "DEMO Notice"
        DEMO = 3
    End If
    DECount = DECount + 1
    
End Function

